package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.ContractManagementInfo;
import com.yh.saas.plugin.yiliangyiyun.entity.SalesClosingReport;
import com.baomidou.mybatisplus.service.IService;

import java.util.List;

/**
 * <p>
 * 销售平仓报表 服务类
 * </p>
 *
 * @author Gongdc
 * @since 2021-08-05
 */
public interface ISalesClosingReportService extends IService<SalesClosingReport> {

    /**
     * 销售平仓统计列表
     *
     * @param salesClosingReport
     * @return
     */
    Page<SalesClosingReport> selectSalesClosingOrder(SalesClosingReport salesClosingReport);
    /**
     * 出纳付款
     * @param salesClosingReport
     */
    String payMoney(SalesClosingReport salesClosingReport);
    /**
     * 出纳收款
     * @param salesClosingReport
     */
    String collectMoney(SalesClosingReport salesClosingReport);

    /**
     * 审核
     * @param salesClosingReport
     * @return
     */
    String examine(SalesClosingReport salesClosingReport);
    /**
     * 合同编号下拉列表
     *
     * @param compId
     */
    List<ContractManagementInfo> selectContractNoList(String compId);


    String editSalesCloseReport(SalesClosingReport salesClosingReport);
    /**
     * 查看
     * @param
     */
    SalesClosingReport getInfo(String id);

}
